/* Copyright (c) 1997-2004
   Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Berlin, Germany)
   http://www.math.tu-berlin.de/polymake,  mailto:polymake@math.tu-berlin.de

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version: http://www.gnu.org/licenses/gpl.txt.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   $Project: polymake $$Id: navigation_DOM_IE.js,v 1.5 2004/08/24 15:28:43 gawrilow Exp $
*/

// MS Internet Explorer 5+

function winW(w) {
   return w.document.body.clientWidth;
}

function winH(w) {
   return w.document.body.clientHeight;
}

function winL(w) {
   return w.document.body.scrollLeft;
}

function winT(w) {
   return w.document.body.scrollTop;
}

function mouseX(e,w) {
   return w.event.clientX + winL(w);
}

function mouseY(e,w) {
   return w.event.clientY + winT(w);
}

function relMouseX(e,w) {
   return w.event.clientX;
}

function relMouseY(e,w) {
   return w.event.clientY;
}

function gotoURL(w,URL) {
   w.navigate(URL);
}
